org.wildfly.swarm.config.ejb3

## Class RemotingProfile<T extends RemotingProfile<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ejb3.RemotingProfile<T>

-     public class RemotingProfile<T extends RemotingProfile<T>>
      extends Object

  A remoting profile

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RemotingProfile.RemotingProfileResources` Child mutators for RemotingProfile

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemotingProfile(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `excludeLocalReceiver()` If set no local receiver is used in this profile
    `T` | `excludeLocalReceiver(Boolean value)` If set no local receiver is used in this profile
    `String` | `getKey()`
    `Boolean` | `localReceiverPassByValue()` If set local receiver will pass ejb beans by value
    `T` | `localReceiverPassByValue(Boolean value)` If set local receiver will pass ejb beans by value
    `T` | `remotingEjbReceiver(RemotingEJBReceiver value)` Add the RemotingEJBReceiver object to the list of subresources
    `T` | `remotingEjbReceiver(RemotingEJBReceiverSupplier supplier)` Install a supplied RemotingEJBReceiver object to the list of subresources
    `T` | `remotingEjbReceiver(String childKey)` Create and configure a RemotingEJBReceiver object to the list of subresources
    `T` | `remotingEjbReceiver(String childKey, RemotingEJBReceiverConsumer consumer)` Create and configure a RemotingEJBReceiver object to the list of subresources
    `T` | `remotingEjbReceivers(List<RemotingEJBReceiver> value)` Add all RemotingEJBReceiver objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `List<Map>` | `staticEjbDiscovery()` Describes static discovery config for EJB's
    `T` | `staticEjbDiscovery(List<Map> value)` Describes static discovery config for EJB's
    `T` | `staticEjbDiscovery(Map... args)` Describes static discovery config for EJB's
    `T` | `staticEjbDiscovery(Map value)` Describes static discovery config for EJB's
    `RemotingProfile.RemotingProfileResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemotingProfile

          public RemotingProfile(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public RemotingProfile.RemotingProfileResources subresources()

    - #### remotingEjbReceivers

          public T remotingEjbReceivers(List<RemotingEJBReceiver> value)

      Add all RemotingEJBReceiver objects to this subresource
      Parameters:
        `value` - List of RemotingEJBReceiver objects.
      Returns:
        this

    - #### remotingEjbReceiver

          public T remotingEjbReceiver(RemotingEJBReceiver value)

      Add the RemotingEJBReceiver object to the list of subresources
      Parameters:
        `value` - The RemotingEJBReceiver to add
      Returns:
        this

    - #### remotingEjbReceiver

          public T remotingEjbReceiver(String childKey,
                                       RemotingEJBReceiverConsumer consumer)

      Create and configure a RemotingEJBReceiver object to the list of subresources
      Parameters:
        `key` - The key for the RemotingEJBReceiver resource
        `config` - The RemotingEJBReceiverConsumer to use
      Returns:
        this

    - #### remotingEjbReceiver

          public T remotingEjbReceiver(String childKey)

      Create and configure a RemotingEJBReceiver object to the list of subresources
      Parameters:
        `key` - The key for the RemotingEJBReceiver resource
      Returns:
        this

    - #### remotingEjbReceiver

          public T remotingEjbReceiver(RemotingEJBReceiverSupplier supplier)

      Install a supplied RemotingEJBReceiver object to the list of subresources

    - #### excludeLocalReceiver

          public Boolean excludeLocalReceiver()

      If set no local receiver is used in this profile

    - #### excludeLocalReceiver

          public T excludeLocalReceiver(Boolean value)

      If set no local receiver is used in this profile

    - #### localReceiverPassByValue

          public Boolean localReceiverPassByValue()

      If set local receiver will pass ejb beans by value

    - #### localReceiverPassByValue

          public T localReceiverPassByValue(Boolean value)

      If set local receiver will pass ejb beans by value

    - #### staticEjbDiscovery

          public List<Map> staticEjbDiscovery()

      Describes static discovery config for EJB's

    - #### staticEjbDiscovery

          public T staticEjbDiscovery(List<Map> value)

      Describes static discovery config for EJB's

    - #### staticEjbDiscovery

          public T staticEjbDiscovery(Map value)

      Describes static discovery config for EJB's

    - #### staticEjbDiscovery

          public T staticEjbDiscovery(Map... args)

      Describes static discovery config for EJB's

Copyright © 2018 JBoss by Red Hat. All rights reserved.